pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT > Class Template Reference

EuclideanPlaneCoefficientComparator is a Comparator that operates on plane coefficients, for use in planar segmentation. More...

`#include <pcl/segmentation/euclidean_plane_coefficient_comparator.h>`

Inheritance diagram for pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >:

## Public Types

typedef Comparator< PointT >::PointCloud | PointCloud
typedef Comparator< PointT >::PointCloudConstPtr | PointCloudConstPtr
typedef pcl::PointCloud< PointNT > | PointCloudN
typedef PointCloudN::Ptr | PointCloudNPtr
typedef PointCloudN::ConstPtr | PointCloudNConstPtr
typedef boost::shared_ptr< EuclideanPlaneCoefficientComparator< PointT, PointNT > > | Ptr
typedef boost::shared_ptr< const EuclideanPlaneCoefficientComparator< PointT, PointNT > > | ConstPtr
Public Types inherited from pcl::PlaneCoefficientComparator< PointT, PointNT >
typedef Comparator< PointT >::PointCloud | PointCloud
typedef Comparator< PointT >::PointCloudConstPtr | PointCloudConstPtr
typedef pcl::PointCloud< PointNT > | PointCloudN
typedef PointCloudN::Ptr | PointCloudNPtr
typedef PointCloudN::ConstPtr | PointCloudNConstPtr
typedef boost::shared_ptr< PlaneCoefficientComparator< PointT, PointNT > > | Ptr
typedef boost::shared_ptr< const PlaneCoefficientComparator< PointT, PointNT > > | ConstPtr
Public Types inherited from pcl::Comparator< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< Comparator< PointT > > | Ptr
typedef boost::shared_ptr< const Comparator< PointT > > | ConstPtr

## Public Member Functions

| EuclideanPlaneCoefficientComparator ()
| Empty constructor for PlaneCoefficientComparator. More...
virtual | ~EuclideanPlaneCoefficientComparator ()
| Destructor for PlaneCoefficientComparator. More...
virtual bool | compare (int idx1, int idx2) const
| Compare two neighboring points, by using normal information, and euclidean distance information. More...
Public Member Functions inherited from pcl::PlaneCoefficientComparator< PointT, PointNT >
| PlaneCoefficientComparator ()
| Empty constructor for PlaneCoefficientComparator. More...
| PlaneCoefficientComparator (boost::shared_ptr< std::vector< float > > &plane_coeff_d)
| Constructor for PlaneCoefficientComparator. More...
virtual | ~PlaneCoefficientComparator ()
| Destructor for PlaneCoefficientComparator. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud for the comparator. More...
void | setInputNormals (const PointCloudNConstPtr &normals)
| Provide a pointer to the input normals. More...
PointCloudNConstPtr | getInputNormals () const
| Get the input normals. More...
void | setPlaneCoeffD (boost::shared_ptr< std::vector< float > > &plane_coeff_d)
| Provide a pointer to a vector of the d-coefficient of the planes' hessian normal form. More...
void | setPlaneCoeffD (std::vector< float > &plane_coeff_d)
| Provide a pointer to a vector of the d-coefficient of the planes' hessian normal form. More...
const std::vector< float > & | getPlaneCoeffD () const
| Get a pointer to the vector of the d-coefficient of the planes' hessian normal form. More...
virtual void | setAngularThreshold (float angular_threshold)
| Set the tolerance in radians for difference in normal direction between neighboring points, to be considered part of the same plane. More...
float | getAngularThreshold () const
| Get the angular threshold in radians for difference in normal direction between neighboring points, to be considered part of the same plane. More...
void | setDistanceThreshold (float distance_threshold, bool depth_dependent=false)
| Set the tolerance in meters for difference in perpendicular distance (d component of plane equation) to the plane between neighboring points, to be considered part of the same plane. More...
float | getDistanceThreshold () const
| Get the distance threshold in meters (d component of plane equation) between neighboring points, to be considered part of the same plane. More...
Public Member Functions inherited from pcl::Comparator< PointT >
| Comparator ()
| Empty constructor for comparator. More...
virtual | ~Comparator ()
| Empty destructor for comparator. More...
virtual PointCloudConstPtr | getInputCloud () const
| Get the input cloud this comparator operates on. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::PlaneCoefficientComparator< PointT, PointNT >
PointCloudNConstPtr | normals_
boost::shared_ptr< std::vector< float > > | plane_coeff_d_
float | angular_threshold_
float | distance_threshold_
bool | depth_dependent_
Eigen::Vector3f | z_axis_
Protected Attributes inherited from pcl::Comparator< PointT >
PointCloudConstPtr | input_

## Detailed Description

### template<typename PointT, typename PointNT>
class pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >

EuclideanPlaneCoefficientComparator is a Comparator that operates on plane coefficients, for use in planar segmentation.

In conjunction with OrganizedConnectedComponentSegmentation, this allows planes to be segmented from organized data.

Author
  Alex Trevor

Definition at line 55 of file euclidean_plane_coefficient_comparator.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT , typename PointNT >

typedef boost::shared_ptr<const EuclideanPlaneCoefficientComparator<PointT, PointNT> > pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::ConstPtr

Definition at line 65 of file euclidean_plane_coefficient_comparator.h.

## PointCloud

template<typename PointT , typename PointNT >

typedef Comparator<PointT>::PointCloud pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::PointCloud

Definition at line 58 of file euclidean_plane_coefficient_comparator.h.

## PointCloudConstPtr

template<typename PointT , typename PointNT >

typedef Comparator<PointT>::PointCloudConstPtr pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::PointCloudConstPtr

Definition at line 59 of file euclidean_plane_coefficient_comparator.h.

## PointCloudN

template<typename PointT , typename PointNT >

typedef pcl::PointCloud<PointNT> pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::PointCloudN

Definition at line 60 of file euclidean_plane_coefficient_comparator.h.

## PointCloudNConstPtr

template<typename PointT , typename PointNT >

typedef PointCloudN::ConstPtr pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::PointCloudNConstPtr

Definition at line 62 of file euclidean_plane_coefficient_comparator.h.

## PointCloudNPtr

template<typename PointT , typename PointNT >

typedef PointCloudN::Ptr pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::PointCloudNPtr

Definition at line 61 of file euclidean_plane_coefficient_comparator.h.

## Ptr

template<typename PointT , typename PointNT >

typedef boost::shared_ptr<EuclideanPlaneCoefficientComparator<PointT, PointNT> > pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::Ptr

Definition at line 64 of file euclidean_plane_coefficient_comparator.h.

## Constructor & Destructor Documentation

## EuclideanPlaneCoefficientComparator()

template<typename PointT , typename PointNT >

pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::EuclideanPlaneCoefficientComparator | ( |  | ) |

inline

Empty constructor for PlaneCoefficientComparator.

Definition at line 73 of file euclidean_plane_coefficient_comparator.h.

## ~EuclideanPlaneCoefficientComparator()

template<typename PointT , typename PointNT >

virtual pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::~EuclideanPlaneCoefficientComparator | ( |  | ) |

inline virtual

Destructor for PlaneCoefficientComparator.

Definition at line 79 of file euclidean_plane_coefficient_comparator.h.

## Member Function Documentation

## compare()

template<typename PointT , typename PointNT >

virtual bool pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::compare | ( | int | idx1,
|  | int | idx2
| ) |  | const

inline virtual

Compare two neighboring points, by using normal information, and euclidean distance information.

Parameters

  [in] | idx1 | The index of the first point.
  [in] | idx2 | The index of the second point.

Reimplemented from pcl::PlaneCoefficientComparator< PointT, PointNT >.

Definition at line 88 of file euclidean_plane_coefficient_comparator.h.

References pcl::PlaneCoefficientComparator< PointT, PointNT >::angular_threshold_, pcl::PlaneCoefficientComparator< PointT, PointNT >::distance_threshold_, pcl::Comparator< PointT >::input_, and pcl::PlaneCoefficientComparator< PointT, PointNT >::normals_.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/euclidean_plane_coefficient_comparator.h